KDE-BUILD(1)

NAME
kde-build - Updates and recompiles a tree of KDE CVS modules

SYNOPSIS
        kde-build

DESCRIPTION
kde-build has been designed to keep a local copy of several KDE CVS modules up to date and recompile them. Those modules have to be saved in a common directory, e.g. something like

    ~/kde-src/
      |
      +-> kdelibs/
      |
      +-> kdebase/
      |
      \-> kdenetwork/
In this case, the KDE source directory would be ~/kde-src/. The script will take care of compiling them in the correct order, checks for dependencies and resolves them as far as possible.

Please not that, prior to first invokation of the script, the configuration file 'kde-buildrc' has to be modified to reflect the local environment, such as paths etc.

RETURN VALUE
The following error codes are returned by the script.

0 - No error seems to have occured.

1 - The script could not change into the directory of a module.

2 - The script could not open the file 'Makefile.in' of a module.

3 - The configuration of a module failed.

4 - The compilation of a module failed.

5 - The installation of a module failed.

6 - An invalid source directory was specified.

7 - An invalid Qt directory was specified.

8 - An invalid CVS client was specified.

9 - No cvsup server was specified.

10 - The temporary CVSUP configuration file couldn't be created.

11 - The configuration file kde-buildrc couldn't be loaded.

EXAMPLES
        cd ~/scripts/; vi ./kde-buildrc; ./kde-build

BUGS
Lots, mostly that the script wasn't written with portability in mind and therefore won't run very nice on platforms other than Linux.

TODO
Add a DIAGNOSIS section to this man page.

AUTHOR
Frerich Raabe <raabe@kde.org>